Calendar occurrences for vehicles within a date range.
Transportial OTMS API (0.9.74)
Welcome to the Transportial API. It's the full API access for the OTMS Transportatial application. Every feature that is available (and more) in the UI is available here. It's our mission to facilitate open, fast, enterprise grade architecture for transportation.
TransportEquipment are the items to be transported as part of a consignment. TransportEquipment can be divided into two sub-types of transportEquipment, depending on the use case and the level of detail. TransportEquipment either consists of items, describing the actual transportEquipment to be transported. Or a transport equipment, which is equipment used to carry the actual transportEquipment to be transported. Transport equipment is (usually) a means to an end, not something that needs to be transported on itself, such as pallets.
Goods are the items to be transported as part of a consignment. Goods can be divided into two sub-types of goods, depending on the use case and the level of detail. Goods either consists of items, describing the actual goods to be transported. Or a transport equipment, which is equipment used to carry the actual goods to be transported. Transport equipment is (usually) a means to an end, not something that needs to be transported on itself, such as pallets.
Events - like actions - model dynamic entities that couple various static entities at a certain moment in time. Events are used for either real-time updates, or updates on earlier provided data. Notice that in both event types these are updates on earlier provided data, whereas actions are usually used together with the entities they dynamically couple.
- Mock serverhttps://docs.transportial.com/_mock/apis/certificates/chauffeur/{id}/{offset}/{amount}
- Test environmenthttps://test.api.otms.transportial.com/api/certificates/chauffeur/{id}/{offset}/{amount}
- Productionhttps://api.otms.transportial.com/api/certificates/chauffeur/{id}/{offset}/{amount}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.transportial.com/_mock/apis/certificates/chauffeur/{id}/{offset}/{amount}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "totalResults": 0, "certificates": [ { … } ] }
- Mock serverhttps://docs.transportial.com/_mock/apis/certificates/{offset}/{amount}
- Test environmenthttps://test.api.otms.transportial.com/api/certificates/{offset}/{amount}
- Productionhttps://api.otms.transportial.com/api/certificates/{offset}/{amount}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.transportial.com/_mock/apis/certificates/{offset}/{amount}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "totalResults": 0, "certificates": [ { … } ] }
- Mock serverhttps://docs.transportial.com/_mock/apis/certificates/{offset}/{amount}
- Test environmenthttps://test.api.otms.transportial.com/api/certificates/{offset}/{amount}
- Productionhttps://api.otms.transportial.com/api/certificates/{offset}/{amount}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://docs.transportial.com/_mock/apis/certificates/{offset}/{amount}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "totalResults": 0, "certificates": [ { … } ] }
- Mock serverhttps://docs.transportial.com/_mock/apis/certificate/{id}
- Test environmenthttps://test.api.otms.transportial.com/api/certificate/{id}
- Productionhttps://api.otms.transportial.com/api/certificate/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.transportial.com/_mock/apis/certificate/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "certificate": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": { … }, "platforms": [ … ], "chauffeur": { … }, "name": "string", "school": "string", "title": "string", "fieldOfStudy": "string", "grade": "string", "documents": [ … ], "identifier": [ … ], "notes": [ … ] } }
- Mock serverhttps://docs.transportial.com/_mock/apis/certificate/{id}
- Test environmenthttps://test.api.otms.transportial.com/api/certificate/{id}
- Productionhttps://api.otms.transportial.com/api/certificate/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X DELETE \
'https://docs.transportial.com/_mock/apis/certificate/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "certificate": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": { … }, "platforms": [ … ], "chauffeur": { … }, "name": "string", "school": "string", "title": "string", "fieldOfStudy": "string", "grade": "string", "documents": [ … ], "identifier": [ … ], "notes": [ … ] } }
- Mock serverhttps://docs.transportial.com/_mock/apis/certificates/business/{id}/{offset}/{amount}
- Test environmenthttps://test.api.otms.transportial.com/api/certificates/business/{id}/{offset}/{amount}
- Productionhttps://api.otms.transportial.com/api/certificates/business/{id}/{offset}/{amount}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.transportial.com/_mock/apis/certificates/business/{id}/{offset}/{amount}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "totalResults": 0, "certificates": [ { … } ] }
Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
- Mock serverhttps://docs.transportial.com/_mock/apis/certificate
- Test environmenthttps://test.api.otms.transportial.com/api/certificate
- Productionhttps://api.otms.transportial.com/api/certificate
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
https://docs.transportial.com/_mock/apis/certificate \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"nameSpace": "string",
"logo": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
"string"
]
]
},
"favicon": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
"string"
]
]
},
"hostNames": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"hostName": "string"
}
],
"features": [
{
"name": "string",
"accountTypes": [
"default"
]
}
],
"allowedEmailDomains": [
"string"
],
"emailIntegration": {
"nonce": "string",
"type": "manual",
"name": "string",
"description": "string",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"dataSources": [
{
"nonce": "string",
"directionType": "in",
"connectionType": "api",
"requestMethod": "get",
"dataType": "xml",
"entityType": "action",
"url": "string",
"port": 0,
"path": "string",
"token": "string",
"query": "string",
"parameters": [
null
],
"allowedIps": [
null
],
"hasAuthentication": true,
"credentials": {
"externalAttributes": {},
"headers": {}
},
"otm": true,
"fields": [
null
],
"filters": [
null
],
"template": true
}
],
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"sectorType": "boardComputer",
"manualType": "transics",
"enabledFunctions": [
"string"
],
"url": "string",
"port": 0,
"credentials": {
"authenticationMethod": "apiKey",
"username": "string",
"password": "string",
"accessKey": "string",
"secretKey": "string",
"clientId": "string",
"clientSecret": "string",
"grantType": "string",
"scope": "string",
"apiKey": "string",
"bearer": "string",
"sshKey": {
"nonce": "string",
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
null
],
"bucket": {},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string"
},
"sshTunnel": true,
"sshHost": "string",
"sshUsername": "string",
"sshPassword": "string",
"externalAttributes": {
"property1": {},
"property2": {}
},
"headers": {
"property1": {},
"property2": {}
},
"oauthUrl": "string",
"oAuthCache": "string",
"oAuthCacheCreationDate": "2019-08-24T14:15:22Z",
"openIdToken": "string",
"openIdRefreshToken": "string",
"openIdAccessToken": "string",
"openIdExpiration": "2019-08-24T14:15:22Z"
},
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"integration": [
{
"nonce": "string",
"author": {
"recoveryCodes": [],
"identifiers": [],
"notes": [],
"businesses": [],
"features": [],
"vehicleGroups": []
},
"name": "string",
"text": "string"
}
]
},
"notificationLogo": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
"string"
]
]
},
"fullLogo": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
"string"
]
]
},
"backgroundImage": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
"string"
]
]
},
"darkLogo": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
"string"
]
]
},
"darkFavicon": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
"string"
]
]
},
"darkNotificationLogo": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
"string"
]
]
},
"darkFullLogo": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
"string"
]
]
},
"darkBackgroundImage": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
"string"
]
]
},
"primaryColor": "string",
"secondaryColor": "string",
"darkPrimaryColor": "string",
"darkSecondaryColor": "string",
"planningSettings": {
"defaultDeliveryTerms": "EXW",
"optimizerEngine": "transportial",
"alwaysCombinedTransport": true,
"finishTripOnActionsComplete": true,
"requirePlannerCompletionForTrips": true,
"showEventsOnActionCards": true,
"goodsWeightsAndLoadMetersAreTotalFields": true,
"optimizerAlgorithmConfiguration": {
"defaultVehicleOperatingIntervals": [
{}
],
"maxDrivingPeriod": 0,
"maxPeriod": 0,
"ignoreLocationConstraints": true,
"ignoreConsignmentConstraints": true,
"ignoreActionConstraints": true
},
"loadActionDefaultDuration": 0,
"unloadActionDefaultDuration": 0,
"stopActionDefaultDuration": 0,
"attachTransportEquipmentActionDefaultDuration": 0,
"detachTransportEquipmentActionDefaultDuration": 0,
"groupedStopActionDurationSeconds": 0,
"defaultTransportOrderTemplate": "string",
"consignmentAttributeCheckmarks": [
{
"nonce": "string",
"name": "string",
"color": "string"
}
],
"defaultTripStartDuration": 0,
"defaultTripStartDateFromNextActionTimeWindow": true,
"defaultTollCostPricingCategory": {
"nonce": "string",
"name": "string",
"creditCode": "string",
"debitCode": "string",
"defaultValue": 0.1,
"enabled": true,
"tripRevenue": true,
"identifiers": [
{}
]
},
"mapUris": [
{
"name": "string",
"previewUrl": "string",
"url": "string"
}
],
"preferredTransportModes": [
"maritime"
],
"onlyCalculateRouteOnTripConfirmed": true,
"onlyCalculateCapacityOnTripConfirmed": true,
"onlyCalculateFinanceOnTripConfirmed": true,
"actionResultQuestionnaires": {
"property1": {
"enabled": true,
"questions": [
null
],
"resultMappings": [
null
]
},
"property2": {
"enabled": true,
"questions": [
null
],
"resultMappings": [
null
]
}
},
"sortActionsOnConsignmentDrop": true,
"includeQuoteLinesOnTransportOrderPdf": true
},
"pricingSettings": {
"defaultChauffeurCostPricing": [
{
"nonce": "string",
"type": "fixed",
"name": "string",
"sequenceNr": 0,
"description": "string",
"category": {
"identifiers": []
},
"taxRates": [
null
],
"filters": [
null
],
"oncePerInvoice": true
}
],
"defaultVehicleCostPricing": [
{
"nonce": "string",
"type": "fixed",
"name": "string",
"sequenceNr": 0,
"description": "string",
"category": {
"identifiers": []
},
"taxRates": [
null
],
"filters": [
null
],
"oncePerInvoice": true
}
]
},
"credentialSettings": {
"force2FA": true,
"stripeKey": "string",
"stripePublicKey": "string",
"ptvKey": "string",
"ptvSecret": "string",
"awsKey": "string",
"awsSecret": "string",
"googleApiKey": "string",
"googleApiSecret": "string",
"hereApiKey": "string",
"osrmUrl": "string",
"cloverOptApiKey": "string",
"googleCaptchaKey": "string",
"googleCaptchaSecret": "string"
},
"routingSettings": {
"routingEngine": "transportial",
"seaPassages": {
"allowSuez": true,
"allowPanama": true,
"allowMalacca": true,
"allowGibraltar": true,
"allowDover": true,
"allowBering": true,
"allowMagellan": true,
"allowBabelmandeb": true,
"allowKiel": true,
"allowCorinth": true,
"allowNorthwest": true,
"allowNortheast": true
}
},
"translationSettings": {
"languagesLabels": [
{
"language": "string",
"labels": "string"
}
]
},
"uiSettings": {
"hiddenFields": [
"string"
],
"requiredFields": [
"string"
],
"validationRules": [
"string"
],
"requireVerifiedBusinesses": true,
"userSettableMessageAutomations": [
{
"nonce": "string",
"name": "string",
"description": "string",
"automationConfig": {
"filters": [],
"recipients": [],
"manualIntegration": {},
"documentAttachments": [],
"localizedTexts": [],
"userPermissionFilters": []
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string",
"type": "messageAutomation",
"notes": [
{}
]
}
]
},
"alertsSettings": {
"enableCapacityAlerts": true,
"enableDocumentsNeededAlerts": true,
"enableVehicleConflictAlerts": true,
"enableTransportEquipmentConflictAlerts": true,
"enableChauffeurConflictAlerts": true
},
"financialSettings": {
"defaultTaxRate": {
"nonce": "string",
"creditCode": "string",
"debitCode": "string",
"identifiers": [
{}
],
"name": "string",
"description": "string",
"jurisdiction": "string",
"percentage": 0.1,
"inclusive": true,
"active": true
},
"enableInvoiceApprovalFlow": true
},
"canRegister": true,
"canRequestAccess": true,
"description": "string",
"contactEmail": "string",
"business": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"relationType": "string",
"alias": "string",
"description": "string",
"transportLicenseNumber": "string",
"eori": "string",
"scacCode": "string",
"industry": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"abbreviated": "string",
"enabled": true
},
"website": "string",
"coc": "string",
"vat": "string",
"invoiceAttentionTo": "string",
"invoiceEmail": "string",
"quoteAttentionTo": "string",
"quoteEmail": "string",
"verified": true,
"documents": [
{
"associationType": "inline",
"entity": {
"identifiers": [],
"externalAttributes": {}
}
}
],
"logo": {
"nonce": "string",
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{}
],
"bucket": {
"nonce": "string",
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string"
},
"banners": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
null
],
"bucket": {
"language": {}
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[]
]
}
],
"locations": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "warehouse",
"name": "string",
"unCode": "string",
"geoReference": {
"language": {}
},
"administrativeReference": {},
"contactDetails": [
null
],
"openingTimes": {},
"terminal": {
"language": {},
"locations": [],
"allowedModalities": [],
"terminalSettings": []
},
"actions": [
null
],
"constraints": [
null
],
"pricingElements": [
null
],
"remark": "string",
"hash": "string",
"identifiers": [
null
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"dataIsComplete": true
}
],
"identification": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
null
],
"bucket": {
"language": {}
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[]
]
}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"contactDetails": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "iban",
"value": "string",
"remarks": "string"
}
],
"contactPersons": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"firstName": "string",
"lastName": "string",
"position": "string",
"email": "string",
"phone": "string",
"mobilePhone": "string"
}
],
"notes": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"author": {},
"name": "string",
"text": "string"
}
],
"partOf": [
{}
],
"administration": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"name": "string",
"primary": true,
"transportOrderPrefix": "string",
"consignmentPrefix": "string",
"business": {},
"currency": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"bankAccounts": [
{
"language": {},
"validation": {},
"identifiers": []
}
],
"numberFormat": "string",
"numberLength": 0,
"dueDays": 0,
"invoiceNumberIndex": {
"property1": 0,
"property2": 0
},
"quoteNumberIndex": {
"property1": 0,
"property2": 0
},
"invoiceSendMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"filters": [],
"recipients": [],
"manualIntegration": {},
"documentAttachments": [],
"localizedTexts": [],
"userPermissionFilters": []
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"automaticallySendReminders": true,
"invoiceFirstReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"filters": [],
"recipients": [],
"manualIntegration": {},
"documentAttachments": [],
"localizedTexts": [],
"userPermissionFilters": []
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceSecondReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"filters": [],
"recipients": [],
"manualIntegration": {},
"documentAttachments": [],
"localizedTexts": [],
"userPermissionFilters": []
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceThirdReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"filters": [],
"recipients": [],
"manualIntegration": {},
"documentAttachments": [],
"localizedTexts": [],
"userPermissionFilters": []
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoicePaidMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"filters": [],
"recipients": [],
"manualIntegration": {},
"documentAttachments": [],
"localizedTexts": [],
"userPermissionFilters": []
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"quoteSendMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"filters": [],
"recipients": [],
"manualIntegration": {},
"documentAttachments": [],
"localizedTexts": [],
"userPermissionFilters": []
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceTermsAndConditions": [
{}
],
"quoteTermsAndConditions": [
{}
],
"transportOrderTermsAndConditions": [
{}
],
"identifiers": [
{
"language": {}
}
]
},
"dataIsComplete": true,
"pricingConfigurationCount": 0,
"hasAgreedToPrice": true
},
"childOf": {},
"billing": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"plan": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"description": "string",
"interval": "endOfWeek",
"intervalCount": 0,
"trialPeriodDays": 0,
"usageElementTypePrices": {
"property1": [
null
],
"property2": [
null
]
},
"identifiers": [
{
"language": {}
}
],
"startedAt": "2019-08-24T14:15:22Z",
"expiredAt": "2019-08-24T14:15:22Z",
"primary": true
},
"companyName": "string",
"vat": "string",
"email": "string",
"administrativeReference": {
"name": "string",
"street": "string",
"houseNumber": "string",
"houseNumberAddition": "string",
"postalCode": "string",
"city": "string",
"country": "string"
},
"customerId": "string",
"intentId": "string",
"lastBilled": "2019-08-24T14:15:22Z",
"lastUsageEventsRun": "2019-08-24T14:15:22Z",
"approvedBillingElementTypes": [
"user"
]
},
"apps": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"logo": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
null
],
"bucket": {
"language": {}
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[]
]
},
"name": "string",
"description": "string",
"publisher": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"logo": {
"language": {},
"identifiers": [],
"contentMatrix": []
},
"name": "string",
"description": "string",
"users": [
null
]
},
"termsAndConditions": "string",
"lastVersion": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"description": "string",
"buildNumber": 0,
"version": "string",
"permissions": [
null
],
"hooks": [
null
],
"approved": true
},
"versions": [
{
"language": {},
"permissions": [],
"hooks": []
}
],
"approved": true,
"public": true
}
],
"disablingAt": "2019-08-24T14:15:22Z",
"disabled": true,
"inWaitList": true
}
],
"name": "string",
"localName": "string",
"code": "string",
"iso3166": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"dateFormat": "string",
"measurementUnit": "metric"
},
"platforms": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"nameSpace": "string",
"logo": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
"string"
]
]
},
"favicon": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
"string"
]
]
},
"hostNames": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"hostName": "string"
}
],
"features": [
{
"name": "string",
"accountTypes": [
"default"
]
}
],
"allowedEmailDomains": [
"string"
],
"emailIntegration": {
"nonce": "string",
"type": "manual",
"name": "string",
"description": "string",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"dataSources": [
{
"nonce": "string",
"directionType": "in",
"connectionType": "api",
"requestMethod": "get",
"dataType": "xml",
"entityType": "action",
"url": "string",
"port": 0,
"path": "string",
"token": "string",
"query": "string",
"parameters": [
{
"fields": [],
"filters": [],
"options": []
}
],
"allowedIps": [
"string"
],
"hasAuthentication": true,
"credentials": {
"authenticationMethod": "apiKey",
"username": "string",
"password": "string",
"accessKey": "string",
"secretKey": "string",
"clientId": "string",
"clientSecret": "string",
"grantType": "string",
"scope": "string",
"apiKey": "string",
"bearer": "string",
"sshKey": {
"identifiers": []
},
"sshTunnel": true,
"sshHost": "string",
"sshUsername": "string",
"sshPassword": "string",
"externalAttributes": {
"property1": {},
"property2": {}
},
"headers": {
"property1": {},
"property2": {}
},
"oauthUrl": "string",
"oAuthCache": "string",
"oAuthCacheCreationDate": "2019-08-24T14:15:22Z",
"openIdToken": "string",
"openIdRefreshToken": "string",
"openIdAccessToken": "string",
"openIdExpiration": "2019-08-24T14:15:22Z"
},
"otm": true,
"fields": [
{
"fields": [],
"filters": [],
"options": []
}
],
"filters": [
{
"filters": []
}
],
"template": true
}
],
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"sectorType": "boardComputer",
"manualType": "transics",
"enabledFunctions": [
"string"
],
"url": "string",
"port": 0,
"credentials": {
"authenticationMethod": "apiKey",
"username": "string",
"password": "string",
"accessKey": "string",
"secretKey": "string",
"clientId": "string",
"clientSecret": "string",
"grantType": "string",
"scope": "string",
"apiKey": "string",
"bearer": "string",
"sshKey": {
"nonce": "string",
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{}
],
"bucket": {
"nonce": "string",
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string"
},
"sshTunnel": true,
"sshHost": "string",
"sshUsername": "string",
"sshPassword": "string",
"externalAttributes": {
"property1": {},
"property2": {}
},
"headers": {
"property1": {},
"property2": {}
},
"oauthUrl": "string",
"oAuthCache": "string",
"oAuthCacheCreationDate": "2019-08-24T14:15:22Z",
"openIdToken": "string",
"openIdRefreshToken": "string",
"openIdAccessToken": "string",
"openIdExpiration": "2019-08-24T14:15:22Z"
},
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"integration": [
{
"nonce": "string",
"author": {
"nonce": "string",
"hasAgreedToPrice": true,
"type": "user",
"username": "string",
"avatar": {
"identifiers": []
},
"firstName": "string",
"lastName": "string",
"email": "string",
"phone": "string",
"password": "string",
"passwordModified": "2019-08-24T14:15:22Z",
"twoFactorAuthentication": true,
"totdSecret": "string",
"recoveryCodes": [
null
],
"status": "DELETED",
"loginMethod": "DEFAULT",
"role": {
"permissions": []
},
"currency": {},
"activeAdministration": {
"bankAccounts": [],
"invoiceNumberIndex": {},
"quoteNumberIndex": {},
"invoiceTermsAndConditions": [],
"quoteTermsAndConditions": [],
"transportOrderTermsAndConditions": [],
"invoiceStandardDocuments": [],
"quoteStandardDocuments": [],
"identifiers": []
},
"identifiers": [
null
],
"accountType": "default",
"standardLoadingSize": 10,
"notes": [
{}
],
"businesses": [
null
],
"features": [
null
],
"timezone": "string",
"vehicleGroups": [
null
]
},
"name": "string",
"text": "string"
}
]
},
"notificationLogo": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
"string"
]
]
},
"fullLogo": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
"string"
]
]
},
"backgroundImage": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
"string"
]
]
},
"darkLogo": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
"string"
]
]
},
"darkFavicon": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
"string"
]
]
},
"darkNotificationLogo": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
"string"
]
]
},
"darkFullLogo": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
"string"
]
]
},
"darkBackgroundImage": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
"string"
]
]
},
"primaryColor": "string",
"secondaryColor": "string",
"darkPrimaryColor": "string",
"darkSecondaryColor": "string",
"planningSettings": {
"defaultDeliveryTerms": "EXW",
"optimizerEngine": "transportial",
"alwaysCombinedTransport": true,
"finishTripOnActionsComplete": true,
"requirePlannerCompletionForTrips": true,
"showEventsOnActionCards": true,
"goodsWeightsAndLoadMetersAreTotalFields": true,
"optimizerAlgorithmConfiguration": {
"defaultVehicleOperatingIntervals": [
{
"start": 0,
"end": 0
}
],
"maxDrivingPeriod": 0,
"maxPeriod": 0,
"ignoreLocationConstraints": true,
"ignoreConsignmentConstraints": true,
"ignoreActionConstraints": true
},
"loadActionDefaultDuration": 0,
"unloadActionDefaultDuration": 0,
"stopActionDefaultDuration": 0,
"attachTransportEquipmentActionDefaultDuration": 0,
"detachTransportEquipmentActionDefaultDuration": 0,
"groupedStopActionDurationSeconds": 0,
"defaultTransportOrderTemplate": "string",
"consignmentAttributeCheckmarks": [
{
"nonce": "string",
"name": "string",
"color": "string"
}
],
"defaultTripStartDuration": 0,
"defaultTripStartDateFromNextActionTimeWindow": true,
"defaultTollCostPricingCategory": {
"nonce": "string",
"name": "string",
"creditCode": "string",
"debitCode": "string",
"defaultValue": 0.1,
"enabled": true,
"tripRevenue": true,
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
]
},
"mapUris": [
{
"name": "string",
"previewUrl": "string",
"url": "string"
}
],
"preferredTransportModes": [
"maritime"
],
"onlyCalculateRouteOnTripConfirmed": true,
"onlyCalculateCapacityOnTripConfirmed": true,
"onlyCalculateFinanceOnTripConfirmed": true,
"actionResultQuestionnaires": {
"property1": {
"enabled": true,
"questions": [
{
"options": []
}
],
"resultMappings": [
{
"conditions": []
}
]
},
"property2": {
"enabled": true,
"questions": [
{
"options": []
}
],
"resultMappings": [
{
"conditions": []
}
]
}
},
"sortActionsOnConsignmentDrop": true,
"includeQuoteLinesOnTransportOrderPdf": true
},
"pricingSettings": {
"defaultChauffeurCostPricing": [
{
"nonce": "string",
"type": "fixed",
"name": "string",
"sequenceNr": 0,
"description": "string",
"category": {
"nonce": "string",
"name": "string",
"creditCode": "string",
"debitCode": "string",
"defaultValue": 0.1,
"enabled": true,
"tripRevenue": true,
"identifiers": [
null
]
},
"taxRates": [
{
"filters": []
}
],
"filters": [
{
"filters": []
}
],
"oncePerInvoice": true
}
],
"defaultVehicleCostPricing": [
{
"nonce": "string",
"type": "fixed",
"name": "string",
"sequenceNr": 0,
"description": "string",
"category": {
"nonce": "string",
"name": "string",
"creditCode": "string",
"debitCode": "string",
"defaultValue": 0.1,
"enabled": true,
"tripRevenue": true,
"identifiers": [
null
]
},
"taxRates": [
{
"filters": []
}
],
"filters": [
{
"filters": []
}
],
"oncePerInvoice": true
}
]
},
"credentialSettings": {
"force2FA": true,
"stripeKey": "string",
"stripePublicKey": "string",
"ptvKey": "string",
"ptvSecret": "string",
"awsKey": "string",
"awsSecret": "string",
"googleApiKey": "string",
"googleApiSecret": "string",
"hereApiKey": "string",
"osrmUrl": "string",
"cloverOptApiKey": "string",
"googleCaptchaKey": "string",
"googleCaptchaSecret": "string"
},
"routingSettings": {
"routingEngine": "transportial",
"seaPassages": {
"allowSuez": true,
"allowPanama": true,
"allowMalacca": true,
"allowGibraltar": true,
"allowDover": true,
"allowBering": true,
"allowMagellan": true,
"allowBabelmandeb": true,
"allowKiel": true,
"allowCorinth": true,
"allowNorthwest": true,
"allowNortheast": true
}
},
"translationSettings": {
"languagesLabels": [
{
"language": "string",
"labels": "string"
}
]
},
"uiSettings": {
"hiddenFields": [
"string"
],
"requiredFields": [
"string"
],
"validationRules": [
"string"
],
"requireVerifiedBusinesses": true,
"userSettableMessageAutomations": [
{
"nonce": "string",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string",
"type": "messageAutomation",
"notes": [
{}
]
}
]
},
"alertsSettings": {
"enableCapacityAlerts": true,
"enableDocumentsNeededAlerts": true,
"enableVehicleConflictAlerts": true,
"enableTransportEquipmentConflictAlerts": true,
"enableChauffeurConflictAlerts": true
},
"financialSettings": {
"defaultTaxRate": {
"nonce": "string",
"creditCode": "string",
"debitCode": "string",
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"name": "string",
"description": "string",
"jurisdiction": "string",
"percentage": 0.1,
"inclusive": true,
"active": true
},
"enableInvoiceApprovalFlow": true
},
"canRegister": true,
"canRequestAccess": true,
"description": "string",
"contactEmail": "string",
"business": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"relationType": "string",
"alias": "string",
"description": "string",
"transportLicenseNumber": "string",
"eori": "string",
"scacCode": "string",
"industry": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"abbreviated": "string",
"enabled": true
},
"website": "string",
"coc": "string",
"vat": "string",
"invoiceAttentionTo": "string",
"invoiceEmail": "string",
"quoteAttentionTo": "string",
"quoteEmail": "string",
"verified": true,
"documents": [
{
"associationType": "inline",
"entity": {
"nonce": "string",
"description": "string",
"expiresAt": "2019-08-24T14:15:22Z",
"fileName": "string",
"mimeType": "string",
"encoding": "string",
"verified": true,
"isPublic": true,
"owner": {},
"content": {},
"file": {
"identifiers": []
},
"identifiers": [
null
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"name": "string"
}
}
],
"logo": {
"nonce": "string",
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string"
},
"banners": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"language": {}
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
null
]
]
}
],
"locations": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "warehouse",
"name": "string",
"unCode": "string",
"geoReference": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "addressGeoReference",
"name": "string",
"street": "string",
"houseNumber": "string",
"houseNumberAddition": "string",
"postalCode": "string",
"city": "string",
"country": "string",
"hash": "string"
},
"administrativeReference": {
"name": "string",
"street": "string",
"houseNumber": "string",
"houseNumberAddition": "string",
"postalCode": "string",
"city": "string",
"country": "string"
},
"contactDetails": [
{
"language": {}
}
],
"openingTimes": {
"monday": {},
"tuesday": {},
"wednesday": {},
"thursday": {},
"friday": {},
"saturday": {},
"sunday": {}
},
"terminal": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"integrationType": "portbase",
"ean": "string",
"bicsCode": "string",
"quayName": "string",
"smdgCode": "string",
"locations": [
{}
],
"allowedModalities": [
null
],
"terminalSettings": [
null
],
"tarRequired": true,
"roadLicenseIdRequired": true
},
"actions": [
{
"language": {},
"externalAttributes": {},
"identifiers": [],
"actions": [],
"communicationRequests": [],
"documents": [],
"contextEvents": [],
"attributes": [],
"constraints": []
}
],
"constraints": [
{
"language": {}
}
],
"pricingElements": [
{
"language": {},
"business": {}
}
],
"remark": "string",
"hash": "string",
"identifiers": [
{
"language": {}
}
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"dataIsComplete": true
}
],
"identification": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"language": {}
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
null
]
]
}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"contactDetails": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "iban",
"value": "string",
"remarks": "string"
}
],
"contactPersons": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"firstName": "string",
"lastName": "string",
"position": "string",
"email": "string",
"phone": "string",
"mobilePhone": "string"
}
],
"notes": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"author": {},
"name": "string",
"text": "string"
}
],
"partOf": [
{}
],
"administration": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"name": "string",
"primary": true,
"transportOrderPrefix": "string",
"consignmentPrefix": "string",
"business": {},
"currency": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"bankAccounts": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"accountHolderName": "string",
"accountHolderType": "string",
"bankName": "string",
"routingNumber": "string",
"accountNumber": "string",
"last4": "string",
"currency": {},
"country": "string",
"validation": {},
"validated": true,
"identifiers": [
null
]
}
],
"numberFormat": "string",
"numberLength": 0,
"dueDays": 0,
"invoiceNumberIndex": {
"property1": 0,
"property2": 0
},
"quoteNumberIndex": {
"property1": 0,
"property2": 0
},
"invoiceSendMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"automaticallySendReminders": true,
"invoiceFirstReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceSecondReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceThirdReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoicePaidMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"quoteSendMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceTermsAndConditions": [
{
"language": {},
"text": "string"
}
],
"quoteTermsAndConditions": [
{
"language": {},
"text": "string"
}
],
"transportOrderTermsAndConditions": [
{
"language": {},
"text": "string"
}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
]
},
"dataIsComplete": true,
"pricingConfigurationCount": 0,
"hasAgreedToPrice": true
},
"childOf": {},
"billing": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"plan": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"description": "string",
"interval": "endOfWeek",
"intervalCount": 0,
"trialPeriodDays": 0,
"usageElementTypePrices": {
"property1": [
{
"filters": []
}
],
"property2": [
{
"filters": []
}
]
},
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"startedAt": "2019-08-24T14:15:22Z",
"expiredAt": "2019-08-24T14:15:22Z",
"primary": true
},
"companyName": "string",
"vat": "string",
"email": "string",
"administrativeReference": {
"name": "string",
"street": "string",
"houseNumber": "string",
"houseNumberAddition": "string",
"postalCode": "string",
"city": "string",
"country": "string"
},
"customerId": "string",
"intentId": "string",
"lastBilled": "2019-08-24T14:15:22Z",
"lastUsageEventsRun": "2019-08-24T14:15:22Z",
"approvedBillingElementTypes": [
"user"
]
},
"apps": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"logo": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"language": {}
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
null
]
]
},
"name": "string",
"description": "string",
"publisher": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"logo": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
null
],
"bucket": {
"language": {}
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[]
]
},
"name": "string",
"description": "string",
"users": [
{
"language": {},
"vehicleGroups": [],
"identifiers": [],
"notes": [],
"businesses": []
}
]
},
"termsAndConditions": "string",
"lastVersion": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"description": "string",
"buildNumber": 0,
"version": "string",
"permissions": [
{
"language": {}
}
],
"hooks": [
{
"language": {}
}
],
"approved": true
},
"versions": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"description": "string",
"buildNumber": 0,
"version": "string",
"permissions": [
null
],
"hooks": [
null
],
"approved": true
}
],
"approved": true,
"public": true
}
],
"disablingAt": "2019-08-24T14:15:22Z",
"disabled": true,
"inWaitList": true
}
],
"chauffeur": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "driver",
"picture": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
"string"
]
]
},
"user": {},
"firstName": "string",
"lastName": "string",
"dateOfBirth": "2019-08-24",
"birthPlace": "string",
"nationality": "string",
"hoursPerMonth": 0.1,
"preferredVehicle": {},
"capacityContract": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"type": "permanentContract",
"communicationMethod": "messageAutomation",
"contract": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"title": "string",
"description": "string",
"deliveryTerms": "EXW",
"contractor": {},
"contractorSignee": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"firstName": "string",
"lastName": "string",
"position": "string",
"email": "string",
"phone": "string",
"mobilePhone": "string"
},
"client": {},
"clientSignee": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"firstName": "string",
"lastName": "string",
"position": "string",
"email": "string",
"phone": "string",
"mobilePhone": "string"
}
},
"business": {},
"administration": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"name": "string",
"primary": true,
"transportOrderPrefix": "string",
"consignmentPrefix": "string",
"business": {},
"currency": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"bankAccounts": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"accountHolderName": "string",
"accountHolderType": "string",
"bankName": "string",
"routingNumber": "string",
"accountNumber": "string",
"last4": "string",
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"country": "string",
"validation": {},
"validated": true,
"identifiers": [
{
"language": {}
}
]
}
],
"numberFormat": "string",
"numberLength": 0,
"dueDays": 0,
"invoiceNumberIndex": {
"property1": 0,
"property2": 0
},
"quoteNumberIndex": {
"property1": 0,
"property2": 0
},
"invoiceSendMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"filters": []
}
],
"query": {
"nonce": "string",
"fields": [
null
],
"entityType": "action",
"joins": [
null
],
"filters": [
null
],
"groupBy": [
null
],
"having": {},
"sortFields": [
null
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"reportParameters": {}
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"filters": []
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"automaticallySendReminders": true,
"invoiceFirstReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"filters": []
}
],
"query": {
"nonce": "string",
"fields": [
null
],
"entityType": "action",
"joins": [
null
],
"filters": [
null
],
"groupBy": [
null
],
"having": {},
"sortFields": [
null
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"reportParameters": {}
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"filters": []
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceSecondReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"filters": []
}
],
"query": {
"nonce": "string",
"fields": [
null
],
"entityType": "action",
"joins": [
null
],
"filters": [
null
],
"groupBy": [
null
],
"having": {},
"sortFields": [
null
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"reportParameters": {}
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"filters": []
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceThirdReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"filters": []
}
],
"query": {
"nonce": "string",
"fields": [
null
],
"entityType": "action",
"joins": [
null
],
"filters": [
null
],
"groupBy": [
null
],
"having": {},
"sortFields": [
null
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"reportParameters": {}
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"filters": []
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoicePaidMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"filters": []
}
],
"query": {
"nonce": "string",
"fields": [
null
],
"entityType": "action",
"joins": [
null
],
"filters": [
null
],
"groupBy": [
null
],
"having": {},
"sortFields": [
null
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"reportParameters": {}
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"filters": []
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"quoteSendMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"filters": []
}
],
"query": {
"nonce": "string",
"fields": [
null
],
"entityType": "action",
"joins": [
null
],
"filters": [
null
],
"groupBy": [
null
],
"having": {},
"sortFields": [
null
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"reportParameters": {}
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"filters": []
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceTermsAndConditions": [
{
"language": {
"nonce": "string",
"name": "string",
"localName": "string",
"code": "string",
"iso3166": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"dateFormat": "string",
"measurementUnit": "metric"
},
"text": "string"
}
],
"quoteTermsAndConditions": [
{
"language": {
"nonce": "string",
"name": "string",
"localName": "string",
"code": "string",
"iso3166": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"dateFormat": "string",
"measurementUnit": "metric"
},
"text": "string"
}
],
"transportOrderTermsAndConditions": [
{
"language": {
"nonce": "string",
"name": "string",
"localName": "string",
"code": "string",
"iso3166": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"dateFormat": "string",
"measurementUnit": "metric"
},
"text": "string"
}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
]
},
"startTime": "2019-08-24T14:15:22Z",
"endTime": "2019-08-24T14:15:22Z",
"selfBilling": true,
"currency": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"triggerType": "endOfWeek",
"pricingModules": [
{
"nonce": "string",
"type": "fixed",
"name": "string",
"sequenceNr": 0,
"description": "string",
"category": {
"nonce": "string",
"name": "string",
"creditCode": "string",
"debitCode": "string",
"defaultValue": 0.1,
"enabled": true,
"tripRevenue": true,
"identifiers": [
{}
]
},
"taxRates": [
{
"nonce": "string",
"sequenceNr": 0,
"name": "string",
"description": "string",
"taxRate": {
"identifiers": []
},
"filters": [
null
]
}
],
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
null
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"oncePerInvoice": true
}
],
"lastHandledSelfBilling": "2019-08-24T14:15:22Z",
"signature": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"ip": "string",
"userAgent": "string",
"date": "2019-08-24T14:15:22Z",
"file": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
"string"
]
]
}
},
"integration": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "manual",
"name": "string",
"description": "string",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"dataSources": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"directionType": "in",
"connectionType": "api",
"requestMethod": "get",
"dataType": "xml",
"entityType": "action",
"url": "string",
"port": 0,
"path": "string",
"token": "string",
"query": "string",
"parameters": [
{
"fields": [],
"filters": [],
"options": []
}
],
"allowedIps": [
"string"
],
"hasAuthentication": true,
"credentials": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"authenticationMethod": "apiKey",
"username": "string",
"password": "string",
"accessKey": "string",
"secretKey": "string",
"clientId": "string",
"clientSecret": "string",
"grantType": "string",
"scope": "string",
"apiKey": "string",
"bearer": "string",
"sshKey": {
"language": {},
"identifiers": [],
"contentMatrix": []
},
"sshTunnel": true,
"sshHost": "string",
"sshUsername": "string",
"sshPassword": "string",
"externalAttributes": {
"property1": {},
"property2": {}
},
"headers": {
"property1": {},
"property2": {}
},
"oauthUrl": "string",
"oAuthCache": "string",
"oAuthCacheCreationDate": "2019-08-24T14:15:22Z",
"openIdToken": "string",
"openIdRefreshToken": "string",
"openIdAccessToken": "string",
"openIdExpiration": "2019-08-24T14:15:22Z"
},
"otm": true,
"fields": [
{
"fields": [],
"filters": [],
"options": []
}
],
"filters": [
{
"filters": []
}
],
"template": true
}
],
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
]
},
"messageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"query": {
"nonce": "string",
"fields": [
{}
],
"entityType": "action",
"joins": [
{}
],
"filters": [
{}
],
"groupBy": [
{}
],
"having": {
"name": "string",
"groupByAggregate": "count"
},
"sortFields": [
{}
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"documentSourceType": "ENTITY_PDF",
"documentType": "cmr",
"documentTemplateId": "string",
"fileUrl": "string",
"insightType": "string",
"reportParameters": {},
"entityIdSelector": "string",
"fileNameTemplate": "string"
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{
"language": {},
"content": "string",
"messageTemplate": "string",
"subject": "string"
}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"consignments": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"consignmentNr": "string",
"description": "string",
"status": "draft",
"highValueGoods": true,
"goods": [
{
"associationType": "inline"
}
],
"team": {},
"combined": true,
"consignment": {},
"originalPhysicalSender": {},
"originalLegalSender": {},
"originalPhysicalAddressee": {},
"originalLegalAddressee": {},
"currentLocation": {
"administrativeReference": {
"name": "string",
"street": "string",
"houseNumber": "string",
"houseNumberAddition": "string",
"postalCode": "string",
"city": "string",
"country": "string"
},
"lat": 0.1,
"lon": 0.1,
"speed": {
"value": "string",
"unit": "string"
},
"heading": {
"value": "string",
"unit": "string"
},
"bearing": {
"value": "string",
"unit": "string"
},
"bearingType": "absolute"
},
"nextAction": {},
"lastAction": {},
"lastPlannedAction": {},
"isPlannedToLastLocation": true,
"type": "string",
"remark": "string",
"documents": [
{
"associationType": "inline"
}
],
"actors": [
{
"associationType": "inline"
}
],
"actions": [
{
"associationType": "inline"
}
],
"constraints": [
{}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"attributes": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"color": "string"
}
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"expectedRevenue": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"amount": 0.1,
"currency": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"taxRate": {
"nonce": "string",
"creditCode": "string",
"debitCode": "string",
"identifiers": [
null
],
"name": "string",
"description": "string",
"jurisdiction": "string",
"percentage": 0.1,
"inclusive": true,
"active": true
},
"inclusiveOfTax": true,
"moneyBuildBlocks": [
{}
]
},
"hasAgreedToPrice": true,
"versionNumber": 0,
"nextPlanFromAction": {}
}
],
"purchasedUnits": 0,
"capacity": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"name": "string",
"description": "string",
"business": {},
"schedule": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"name": "string",
"description": "string",
"weekDays": [
"sunday"
],
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-24T14:15:22Z",
"timeSlotTemplates": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"capacityUnits": 0,
"weekDay": "sunday",
"startTime": "2019-08-24T14:15:22Z",
"endTime": "2019-08-24T14:15:22Z",
"pricingModules": [
null
]
}
],
"timeSlots": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"date": "2019-08-24T14:15:22Z",
"startTime": "2019-08-24T14:15:22Z",
"endTime": "2019-08-24T14:15:22Z",
"consignments": [
null
],
"route": {
"language": {},
"expenses": [],
"additionalInfo": {},
"actors": [],
"actions": [],
"constraints": [],
"identifiers": []
}
}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
]
},
"modality": "maritime",
"subType": "load",
"capacityPerUnit": {
"value": "string",
"unit": "string"
},
"totalUnits": 0,
"availableCapacity": {
"value": "string",
"unit": "string"
},
"totalCapacity": {
"value": "string",
"unit": "string"
},
"pricingModules": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "fixed",
"name": "string",
"sequenceNr": 0,
"description": "string",
"category": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"creditCode": "string",
"debitCode": "string",
"defaultValue": 0.1,
"enabled": true,
"tripRevenue": true
},
"taxRates": [
{
"language": {},
"filters": []
}
],
"filters": [
{
"filters": []
}
],
"oncePerInvoice": true,
"targetEntityType": "fleetVehicle",
"amount": 0.1
}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
]
}
},
"adr": {
"hasADR": true,
"ADRNumber": "string",
"ADRValidFromDate": "2019-08-24",
"ADRExpirationDate": "2019-08-24",
"ADRFiles": [
{
"nonce": "string",
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string"
}
]
},
"driverLicense": {
"hasDriverLicense": true,
"driverLicenseNumber": "string",
"driverLicenseValidFromDate": "2019-08-24",
"driverLicenseExpirationDate": "2019-08-24",
"driverLicenseObtainedOn": "2019-08-24",
"driverLicenseCountryOfIssue": "string",
"driverLicenseIssuingAuthority": "string",
"driverLicenseFiles": [
{
"nonce": "string",
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string"
}
]
},
"tachoCard": {
"cardId": "string",
"countryOfIssue": "string",
"renewalIndex": "string",
"replacementIndex": "string",
"startOfValidity": "2019-08-24T14:15:22Z",
"endOfValidity": "2019-08-24T14:15:22Z"
},
"operational": true,
"remainingRestingTimes": {
"workWeek": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"workWeekEndWithoutCompensation": "2019-08-24T14:15:22Z",
"nextMinimumWeeklyRestWithoutCompensation": 0,
"breakBelowMinimum": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"dailyRest": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"previousDailyRest": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
}
},
"remainingDrivingTimes": {
"daysOfReducedRest": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"dailyAmplitude": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"drivingTimeBelowMaximum": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"dailyDrivingTime": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"daysOfDrivingLongerThan9h": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"weeklyDrivingTime": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"BIWeeklyDrivingTime": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"daysOfConsecutiveDriving": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
}
},
"upcomingRestingTimes": {
"week": 0,
"year": 0,
"upcomingRestingTime": 0
},
"languages": [
"string"
],
"notes": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"author": {},
"name": "string",
"text": "string"
}
],
"boardComputers": [
{}
],
"lastActivity": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "work",
"lifeCycle": "requested",
"chauffeur": {},
"vehicle": {},
"transportEquipments": [
{}
],
"trip": {},
"name": "string",
"description": "string",
"remarks": "string",
"kmsStart": 0,
"kmsEnd": 0,
"start": "2019-08-24T14:15:22Z",
"end": "2019-08-24T14:15:22Z",
"isFromTacho": true
},
"contactDetails": [
{
"associationType": "inline"
}
],
"pricingModules": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "fixed",
"name": "string",
"sequenceNr": 0,
"description": "string",
"category": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"creditCode": "string",
"debitCode": "string",
"defaultValue": 0.1,
"enabled": true,
"tripRevenue": true
},
"taxRates": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"sequenceNr": 0,
"name": "string",
"description": "string",
"taxRate": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"creditCode": "string",
"debitCode": "string",
"description": "string",
"jurisdiction": "string",
"percentage": 0.1,
"inclusive": true,
"active": true,
"identifiers": [
null
]
},
"filters": [
{
"filters": []
}
]
}
],
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{
"filters": []
}
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"oncePerInvoice": true,
"targetEntityType": "fleetVehicle",
"amount": 0.1
}
]
},
"name": "string",
"school": "string",
"title": "string",
"fieldOfStudy": "string",
"grade": "string",
"documents": [
{
"associationType": "inline"
}
],
"identifier": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"notes": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"author": {},
"name": "string",
"text": "string"
}
]
}'{ "success": true, "message": "string", "code": 0, "certificate": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": { … }, "platforms": [ … ], "chauffeur": { … }, "name": "string", "school": "string", "title": "string", "fieldOfStudy": "string", "grade": "string", "documents": [ … ], "identifier": [ … ], "notes": [ … ] } }
- Mock serverhttps://docs.transportial.com/_mock/apis/certificate
- Test environmenthttps://test.api.otms.transportial.com/api/certificate
- Productionhttps://api.otms.transportial.com/api/certificate
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://docs.transportial.com/_mock/apis/certificate \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"nonce": "string",
"chauffeur": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "driver",
"picture": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
"string"
]
]
},
"user": {},
"firstName": "string",
"lastName": "string",
"dateOfBirth": "2019-08-24",
"birthPlace": "string",
"nationality": "string",
"hoursPerMonth": 0.1,
"preferredVehicle": {},
"capacityContract": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"type": "permanentContract",
"communicationMethod": "messageAutomation",
"contract": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"title": "string",
"description": "string",
"deliveryTerms": "EXW",
"contractor": {},
"contractorSignee": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"firstName": "string",
"lastName": "string",
"position": "string",
"email": "string",
"phone": "string",
"mobilePhone": "string"
},
"client": {},
"clientSignee": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"firstName": "string",
"lastName": "string",
"position": "string",
"email": "string",
"phone": "string",
"mobilePhone": "string"
}
},
"business": {},
"administration": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"name": "string",
"primary": true,
"transportOrderPrefix": "string",
"consignmentPrefix": "string",
"business": {},
"currency": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"bankAccounts": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"accountHolderName": "string",
"accountHolderType": "string",
"bankName": "string",
"routingNumber": "string",
"accountNumber": "string",
"last4": "string",
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"country": "string",
"validation": {},
"validated": true,
"identifiers": [
{
"language": {}
}
]
}
],
"numberFormat": "string",
"numberLength": 0,
"dueDays": 0,
"invoiceNumberIndex": {
"property1": 0,
"property2": 0
},
"quoteNumberIndex": {
"property1": 0,
"property2": 0
},
"invoiceSendMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"filters": []
}
],
"query": {
"nonce": "string",
"fields": [
null
],
"entityType": "action",
"joins": [
null
],
"filters": [
null
],
"groupBy": [
null
],
"having": {},
"sortFields": [
null
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"reportParameters": {}
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"filters": []
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"automaticallySendReminders": true,
"invoiceFirstReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"filters": []
}
],
"query": {
"nonce": "string",
"fields": [
null
],
"entityType": "action",
"joins": [
null
],
"filters": [
null
],
"groupBy": [
null
],
"having": {},
"sortFields": [
null
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"reportParameters": {}
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"filters": []
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceSecondReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"filters": []
}
],
"query": {
"nonce": "string",
"fields": [
null
],
"entityType": "action",
"joins": [
null
],
"filters": [
null
],
"groupBy": [
null
],
"having": {},
"sortFields": [
null
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"reportParameters": {}
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"filters": []
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceThirdReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"filters": []
}
],
"query": {
"nonce": "string",
"fields": [
null
],
"entityType": "action",
"joins": [
null
],
"filters": [
null
],
"groupBy": [
null
],
"having": {},
"sortFields": [
null
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"reportParameters": {}
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"filters": []
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
[...]
